Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Interface CMSOutputConnector

All Known Implementing Classes:
  CMSAuthenticatedDataOutputConnector, CMSCompressedDataOutputConnector, CMSDigestedDataOutputConnector, CMSEncryptedDataOutputConnector, CMSEnvelopedDataOutputConnector, CMSSignedDataOutputConnector

public interface CMSOutputConnector

A `CMSOutputConnector` is used in place of a `CMSOutputStream` when constructing nested CMS objects.

A `CMSOutputConnector` should be created for the enclosing object, and passed to a `CMSOutputStream` or `CMSOutputConnector` for the enclosed object.

A `CMSOutputConnector` writes the Content field of the CMS ContentInfo structure to the underlying output stream minus the the explicit [0] tag wrapper.

If you need to write the complete CMS ContentInfo structure to the underlying output stream, use the `CMSOutputStream` instead.

See Also:
  `CMSOutputStream`

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getExposedContentType()` Returns the content type of the data that is output to the underlying output stream.
`java.io.OutputStream` | `getOutputStream()` Returns the output stream governed by this connector.

Method Detail

### getExposedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getExposedContentType()

  Returns the content type of the data that is output to the underlying output stream.
  Returns:
    The content type identifier.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the output stream governed by this connector.
  Returns:
    The underlying output stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.